QwtLinearColorMap(3)

NAME
QwtLinearColorMap -

SYNOPSIS

Inherits QwtColorMap.

Detailed Description

QwtLinearColorMap builds a color map from color stops. A color stop is a color at a specific position. The valid range for the positions is [0.0, 1.0]. When mapping a value into a color it is translated into this interval. If mode() == FixedColors the color is calculated from the next lower color stop. If mode() == ScaledColors the color is calculated by interpolating the colors of the adjacent stops.

Definition at line 111 of file qwt_color_map.h.

  Public Types
enum Mode { FixedColors, ScaledColors }

  Public Member Functions
QwtLinearColorMap (QwtColorMap::Format=QwtColorMap::RGB)
QwtLinearColorMap (const QColor &from, const QColor &to, QwtColorMap::Format=QwtColorMap::RGB)
QwtLinearColorMap (const QwtLinearColorMap &)
virtual ~QwtLinearColorMap ()
QwtLinearColorMap & operator= (const QwtLinearColorMap &)
virtual QwtColorMap * copy () const
void setMode (Mode)
Mode mode () const
void setColorInterval (const QColor &color1, const QColor &color2)
void addColorStop (double value, const QColor &)
QwtArray< double > colorStops () const
QColor color1 () const
QColor color2 () const
virtual QRgb rgb (const QwtDoubleInterval &, double value) const
virtual unsigned char colorIndex (const QwtDoubleInterval &, double value) const

Member Enumeration Documentation

  enum QwtLinearColorMap::Mode

Mode of color map

See also:
    setMode(), mode()

Definition at line 118 of file qwt_color_map.h.

Constructor & Destructor Documentation

  QwtLinearColorMap::QwtLinearColorMap (QwtColorMap::Format format = QwtColorMap::RGB)

Build a color map with two stops at 0.0 and 1.0. The color at 0.0 is Qt::blue, at 1.0 it is Qt::yellow.

Parameters:
    format Preferred format of the color map

Definition at line 211 of file qwt_color_map.cpp.

References setColorInterval().

Referenced by copy().

  QwtLinearColorMap::QwtLinearColorMap (const QColor & color1, const QColor & color2, QwtColorMap::Format format = QwtColorMap::RGB)

Build a color map with two stops at 0.0 and 1.0.

Parameters:
    color1 Color used for the minimum value of the value interval
    color2 Color used for the maximum value of the value interval
    format Preferred format of the coor map

Definition at line 235 of file qwt_color_map.cpp.

References setColorInterval().

  QwtLinearColorMap::QwtLinearColorMap (const QwtLinearColorMap &)

Copy constructor.

Definition at line 221 of file qwt_color_map.cpp.

  QwtLinearColorMap::~QwtLinearColorMap () [virtual]

Destructor.

Definition at line 245 of file qwt_color_map.cpp.

Member Function Documentation

  void QwtLinearColorMap::addColorStop (double value, const QColor & color)

Add a color stop

The value has to be in the range [0.0, 1.0]. F.e. a stop at position 17.0 for a range [10.0,20.0] must be passed as: (17.0 - 10.0) / (20.0 - 10.0)

Parameters:
    value Value between [0.0, 1.0]
    color Color stop

Definition at line 319 of file qwt_color_map.cpp.

  QColor QwtLinearColorMap::color1 () const

Returns:
    the first color of the color range

See also:
    setColorInterval()

Definition at line 337 of file qwt_color_map.cpp.

  QColor QwtLinearColorMap::color2 () const

Returns:
    the second color of the color range

See also:
    setColorInterval()

Definition at line 346 of file qwt_color_map.cpp.

  unsigned char QwtLinearColorMap::colorIndex (const QwtDoubleInterval & interval, double value) const [virtual]

Map a value of a given interval into a color index, between 0 and 255

Parameters:
    interval Range for all values
    value Value to map into a color index

Implements QwtColorMap.

Definition at line 370 of file qwt_color_map.cpp.

References QwtDoubleInterval::isValid(), QwtDoubleInterval::maxValue(), QwtDoubleInterval::minValue(), and QwtDoubleInterval::width().

  QwtArray< double > QwtLinearColorMap::colorStops () const

Return all positions of color stops in increasing order

Definition at line 328 of file qwt_color_map.cpp.

  QwtColorMap * QwtLinearColorMap::copy () const [virtual]

Clone the color map.

Implements QwtColorMap.

Definition at line 260 of file qwt_color_map.cpp.

References QwtLinearColorMap().

  QwtLinearColorMap::Mode QwtLinearColorMap::mode () const

Returns:
    Mode of the color map

See also:
    setMode()

Definition at line 286 of file qwt_color_map.cpp.

  QwtLinearColorMap & QwtLinearColorMap::operator= (const QwtLinearColorMap &)

Assignment operator.

Definition at line 251 of file qwt_color_map.cpp.

References d_data.

  QRgb QwtLinearColorMap::rgb (const QwtDoubleInterval & interval, double value) const [virtual]

Map a value of a given interval into a rgb value

Parameters:
    interval Range for all values
    value Value to map into a rgb value

Implements QwtColorMap.

Definition at line 357 of file qwt_color_map.cpp.

References QwtDoubleInterval::minValue(), and QwtDoubleInterval::width().

  void QwtLinearColorMap::setColorInterval (const QColor & color1, const QColor & color2)

Set the color range

Add stops at 0.0 and 1.0.

Parameters:
    color1 Color used for the minimum value of the value interval
    color2 Color used for the maximum value of the value interval

See also:
    color1(), color2()

Definition at line 301 of file qwt_color_map.cpp.

Referenced by QwtLinearColorMap().

  void QwtLinearColorMap::setMode (Mode mode)

Set the mode of the color map.

FixedColors means the color is calculated from the next lower color stop. ScaledColors means the color is calculated by interpolating the colors of the adjacent stops.

See also:
    mode()

Definition at line 277 of file qwt_color_map.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.